Module | Sequel::SQL::BooleanMethods
In: | lib/sequel/sql.rb

This module includes the boolean/logical AND (&), OR (|) and NOT (~) operators that are defined on objects that can be used in a boolean context in SQL (`Symbol`, `LiteralString`, and `SQL::GenericExpression`).

      :a & :b # "a" AND "b"
      :a | :b # "a" OR "b"
      ~:a # NOT "a"

### Methods

~

### Public Instance methods

~()

Create a new BooleanExpression with NOT, representing the inversion of whatever self represents.

      ~:a # NOT :a

[Source]

         # File lib/sequel/sql.rb, line 262
    262:       def ~
    263:         BooleanExpression.invert(self)
    264:       end

[Validate]